Download date/time should show the full date and time as a tooltip

RESOLVED FIXED in mozilla1.9beta3

Status

()

Toolkit
Downloads API
RESOLVED FIXED
11 years ago
10 years ago

People

(Reporter: Mardak, Assigned: Mardak)

Tracking

({uiwanted})

Trunk
mozilla1.9beta3
uiwanted
Points:
---
Dependency tree / graph
Bug Flags:
in-litmus +

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Assignee)

Description

11 years ago
From bug 397655 comment 39:

* tooltips for date/time
- show the full date
- probably similar to what was shown in the infobutton popup
(Assignee)

Comment 1

11 years ago
Created attachment 294143 [details] [diff] [review]
v1

Reuse the code that was removed from the info button..
http://hg.mozilla.org/cvs-trunk-mirror/?rev/8ded1d1641af
Assignee: nobody → edilee
Status: NEW → ASSIGNED
Attachment #294143 - Flags: review?(comrade693+bmo)
Comment on attachment 294143 [details] [diff] [review]
v1

r=sdwilsh
Attachment #294143 - Flags: review?(comrade693+bmo)
Attachment #294143 - Flags: review+
Attachment #294143 - Flags: approval1.9?
Comment on attachment 294143 [details] [diff] [review]
v1

a=beltzner for 1.9
Attachment #294143 - Flags: approval1.9? → approval1.9+
(Assignee)

Comment 4

11 years ago
Checking in toolkit/mozapps/downloads/content/download.xml;
/cvsroot/mozilla/toolkit/mozapps/downloads/content/download.xml,v  <--  download.xml
new revision: 1.49; previous revision: 1.48
done
Checking in toolkit/mozapps/downloads/content/downloads.js;
/cvsroot/mozilla/toolkit/mozapps/downloads/content/downloads.js,v  <--  downloads.js
new revision: 1.124; previous revision: 1.123
done
Status: ASSIGNED → RESOLVED
Last Resolved: 11 years ago
Flags: in-litmus?
Resolution: --- → FIXED
Target Milestone: --- → Firefox 3 M11
There are going to be platform differences in the display, right?

(Due to Ci.nsIScriptableDateFormat, or what?)

I see:

Mac: Sat, Dec 29, 2007 11:06 PM
Linux: 12/29/2007 11:06 PM
Windows: Saturday, December 29, 2007 11:06 PM
Flags: in-litmus? → in-litmus+
(In reply to comment #5)
> There are going to be platform differences in the display, right?
> 
> (Due to Ci.nsIScriptableDateFormat, or what?)
> 
> I see:
> 
> Mac: Sat, Dec 29, 2007 11:06 PM
> Linux: 12/29/2007 11:06 PM
> Windows: Saturday, December 29, 2007 11:06 PM
Man, that's really crappy that they display differently.  I'm wondering if that's a bug?
(Assignee)

Comment 8

11 years ago
It's doing the same thing as the old info button popup, but I'm not sure if they're supposed to be the same across platforms or not.
Madhava, any comment on whether we want to fix the date format of the tooltip to be consistent across platforms?  See comment 5.
See bug 374040, which appears to address the Linux anomaly.
Depends on: 374040
Keywords: uiwanted
Product: Firefox → Toolkit
You need to log in before you can comment on or make changes to this bug.